/*
 * PkgRobot.java
 *
 * Created on August 31, 2002, 11:05 AM
 */

/**
 *
 * @author  scerruti
 */
public class PkgRobot {
    
    private int id;
    
    private GameBoardLocation location;
    
    private boolean seenThisTurn = true;
    
    /** Creates a new instance of PkgRobot */
    public PkgRobot(int id) {
        super();
        this.id = id;
    }
    
    public PkgRobot(GameMap map, int id, int x, int y) throws BadLocationException {
        this(id);
        location = new GameBoardLocation(map, x, y);
    }
    
    void setLocation(int x, int y) throws BadLocationException{
        location.setLocation(x,y);
    }
    
    void setLocation (GameBoardLocation location) {
        this.location = location;
    }
    
    GameBoardLocation getLocation() {
        return this.location;
    }
    
    int getId() {
        return this.id;
    }
    
    public void setSeen() {
        this.seenThisTurn = true;
    }
    
    public boolean wasSeen() {
        return this.seenThisTurn;
    }
    
    public void clearSeen() {
        this.seenThisTurn = false;
    }
    
    void dump() throws BadLocationException {
        System.out.print(this.id+": ");
        location.dump();
    }
    
}
